.NET 4 support?

May 13, 2010 at 3:44 PM
Hi guys, any plans on adding support for .NET Framework 4?
Editor
May 15, 2010 at 8:06 PM

You can get preliminary support for .NET 4.0 by downloading and applying the Sandcastle Styles patch.  You will need to update the MRefBuilder.exe.config that it contains to include the RTM version of .NET 4.0 though.  See this workitem for details.  Note that there is one known issue related to classes that contain code that uses generic delegates.  It tends to incorrectly remove all members of the class.  This has apparently been fixed for the next release of Sandcastle which is due sometime next month (see this thread).

Eric

 

May 17, 2010 at 6:36 AM

Thank you very much Eric.

Your post was very useful, will wait for next month.